/*
 * @(#)SwingUtil.java -
 * 
 *
 * Created on July 28, 2000, 3:57 PM
 */
 
/** 
 *
 * @author  furyhawk
 * @version 0.01
 */

/**
   ********************************************************************
 CivLog - Copyright (C) 2000 - Wong Teck Meng
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
**********************************************************************
                                                                      */
 
//package 

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class SwingUtil extends Object {

  /** Creates new SwingUtil */
  public SwingUtil() {
  }
  
  public static void centerWindow( java.awt.Window win )
  {
    Dimension winSize = win.getSize();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();

    int newX, newY;

    newX = (screenSize.width / 2) - (winSize.width / 2);
    newY = (screenSize.height / 2) - (winSize.height / 2);

    win.setLocation( newX, newY );    
  }

  /** Creates a new button, adds it to component and returns it */
  public static JButton addButton( Container component, String title,
      char hotKey, String actionCommand, ActionListener listener ) {
    JButton button = new JButton( title );
    button.setMnemonic( hotKey );
    button.setActionCommand( actionCommand );
    button.addActionListener( listener );
    component.add( button );
    return button;
  }
  
  /** Creates a new text field, adds it to component and returns it */
  public static JTextField addTextField( Container component, String title, int length ) {
    JPanel panel = new JPanel();
    JLabel label = new JLabel( title + ":" );
    JTextField textField = new JTextField( length );
    panel.add( label );
    panel.add( textField );
    component.add( panel );
    return textField;
  }
}